Bug 1921277 - Fix Warning and Info log statements to handle arguments
Summary: Fix Warning and Info log statements to handle arguments
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Jack Ottofaro
QA Contact: Yang Yang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-27 20:20 UTC by Jack Ottofaro
Modified: 2021-02-24 15:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
These were newly introduced log messages that were malformed and then simply fixed.
Clone Of:
Environment:
Last Closed: 2021-02-24 15:56:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-version-operator pull 507 0 None closed Bug 1921277: pkg/cvo/sync_worker.go: Fix log statements to handle arguments 2021-02-19 14:03:54 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:56:58 UTC

Description Jack Ottofaro 2021-01-27 20:20:16 UTC
Description of problem:

Current statements do not expect arguments although they contain directives, e.g.:

log.Warning("Ignoring detected %s during payload initialization", detected)

Comment 1 Jack Ottofaro 2021-01-27 20:39:09 UTC
This will be back ported to 4.6.z as part of https://bugzilla.redhat.com/show_bug.cgi?id=1921180 back port.

Comment 3 Yang Yang 2021-01-28 08:27:24 UTC
Reproduced it with 4.7.0-0.nightly-2021-01-26-225405.

Install an IPI cluster, after bootstrap is up and running, run the below commands in bootstrap instance:

[root@yangyang0128-2-7f77k-bootstrap kubernetes]# crictl ps -a |grep version
be66c1ae78f7d       registry.ci.openshift.org/ocp/release@sha256:5e7ae993784910e70eef0e42dac50814376cd44c1607a5aa3f884b993c1932c8            4 minutes ago       Running             cluster-version-operator         0                   dfdc01a0a1189

[root@yangyang0128-2-7f77k-bootstrap kubernetes]# crictl logs be66c1ae78f7d 2>&1 |grep -i "detected"
W0128 08:15:13.432176       1 sync_worker.go:497] Ignoring detected %s during payload initializationversion change
W0128 08:17:47.923781       1 sync_worker.go:497] Ignoring detected %s during payload initializationoverrides change
W0128 08:17:48.129138       1 sync_worker.go:497] Ignoring detected %s during payload initializationoverrides change
W0128 08:18:00.064014       1 sync_worker.go:497] Ignoring detected %s during payload initializationoverrides change
W0128 08:18:13.283482       1 sync_worker.go:497] Ignoring detected %s during payload initializationoverrides change
W0128 08:18:13.291081       1 sync_worker.go:497] Ignoring detected %s during payload initializationoverrides change

Comment 4 Yang Yang 2021-01-28 08:59:54 UTC
Verified with 4.7.0-0.nightly-2021-01-28-023823.

Install an IPI cluster, after bootstrap is up and running, run the below commands in bootstrap instance:

# cat /tmp/version-patch-first-override.yaml 
- op: add
  path: /spec/overrides
  value:
  - kind: DaemonSet
    group: apps/v1
    name: cluster-network-operator
    namespace: openshift-cluster-network-operator
    unmanaged: true

# oc patch clusterversion version --type json -p "$(cat /tmp/version-patch-first-override.yaml)"

# crictl ps -a |grep version
5e592dafb5781       registry.ci.openshift.org/ocp/release@sha256:f78c158a4d9a987063079ecceadce0f399dc4e2ab00ef4a5de29ca5b75649384            6 seconds ago       Running             cluster-version-operator    0                   414bc9c9f9eab

# crictl logs 5e592dafb5781 2>&1 | grep -i "detected"
W0128 08:54:44.748522       1 sync_worker.go:497] Ignoring detected version change during payload initialization
W0128 08:55:45.200167       1 sync_worker.go:497] Ignoring detected overrides change during payload initialization
W0128 08:55:45.386886       1 sync_worker.go:497] Ignoring detected overrides change during payload initialization
W0128 08:55:46.404027       1 sync_worker.go:497] Ignoring detected overrides change during payload initialization

Comment 7 errata-xmlrpc 2021-02-24 15:56:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.